تصدیقِ شناخت
Exchange your key id + secret for a short-lived bearer token. Send it as `Authorization: Bearer …` together with `X-API-Key: {client_id}` on every call.
post/v1/oauth/token
- تصدیقِ شناخت ضروری ہے
درخواست کی باڈی
- grant_typestring
Must be `client_credentials`.
- client_idstring
Your key id (`dt_live_…` / `dt_sbx_…`).
- client_secretstring
Your client secret.
- scopestring
Optional space-separated subset of your granted scopes.
مثال
{
"grant_type": "string",
"client_id": "string",
"client_secret": "string",
"scope": "string"
}جوابات
200OKTokenResponse
- accessTokenstring
- tokenTypestring
- expiresIninteger (int32)
- scopestring
Space-separated scopes the token carries.
- environmentstring
Which environment this token is valid on.
- 400Bad RequestRFC 7807 مسئلے کی تفصیلات
- 401UnauthorizedRFC 7807 مسئلے کی تفصیلات
کوڈ کی مثالیں
مکمل پروگرام جو درخواست پر بالکل اسی طرح دستخط کرتے ہیں جیسے گیٹ وے اس کی تصدیق کرتا ہے۔ YOUR_KEY_ID اور YOUR_SECRET کو تبدیل کریں۔
curl -X POST "https://api.dubaitrip.com/v1/oauth/token" \
-H "Content-Type: application/x-www-form-urlencoded" \
-d "grant_type=client_credentials" \
-d "client_id=YOUR_KEY_ID" \
-d "client_secret=YOUR_SECRET"